## libnss-ato-20240514.tar.gz

=== Makefile ===
# Makefile for libnss-ato

#### Start of system configuration section. ####

CC = gcc
INSTALL = /usr/bin/install
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
DESTDIR = ""

prefix = "/usr"
exec_prefix = ${prefix}

# Where the installed binary goes.
bindir = ${exec_prefix}/bin
binprefix =

sysconfdir = /etc

# mandir = /usr/local/src/less-394/debian/less/usr/share/man
manext = 1
manprefix = ${prefix}/share/man

#### End of system configuration section. ####

all:	libnss_ato libnss_ato_test

libnss_ato:	libnss_ato.c
	${CC} ${CFLAGS} ${LDFLAGS} -fPIC -Wall -shared -o libnss_ato.so.2 -Wl,-soname,libnss_ato.so.2 libnss_ato.c

test:	libnss_ato_test.c
	${CC} ${CFLAGS} ${LDFLAGS} -fPIC -Wall -o libnss_ato_test libnss_ato_test.c

install:
	# remeber  /lib/libnss_compat.so.2 -> libnss_compat-2.3.6.so
	${INSTALL_DATA} -D libnss_ato.so.2 ${DESTDIR}/${prefix}/lib/libnss_ato-2.3.6.so
	${INSTALL_DATA} -D libnss-ato.3 ${DESTDIR}/${manprefix}/man3/libnss-ato.3
	cd ${DESTDIR}/${prefix}/lib && ln -fs libnss_ato-2.3.6.so libnss_ato.so.2
	${INSTALL_DATA} -D libnss-ato.conf ${DESTDIR}/${sysconfdir}/libnss-ato.conf

clean:
	rm -f libnss_ato.so.2 libnss_ato_test
	rm -rf debian/libnss-ato
	rm -f build-stamp
	rm -rf BUILD BUILDROOT RPMS SRPMS SOURCES SPECS

rpm: libnss_ato
	rm -rf BUILD BUILDROOT RPMS SRPMS SOURCES SPECS
	rpmbuild -ba rpm/libnss-ato.spec --define "_topdir $$(pwd)"

=== debian/changelog ===
libnss-ato (0.2-1) unstable; urgency=low

  * strip \n from group read in /etc/libnss-ato.conf (thanks Kyler Laird)

  -- Pietro Donatini <donatini@dm.unibo.it>  Tue Sep  1 14:27:10 CEST 2009

libnss-ato (0.1-1) unstable; urgency=low

  * initial release

 -- Pietro Donatini <donatini@dm.unibo.it>  Thu, 22 Mar 2007 13:07:25 +0100

=== debian/control ===
Source: libnss-ato
Maintainer: Pietro Donatini
Section: admin
Priority: standard
Standards-Version: 0.2
Build-Depends: 

Package: libnss-ato
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.8)
Description: NSS module to match all request of unknown user to a single user (All To One)
 .
  Homepage: https://github.com/donapieppo/libnss-ato

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) prefix=`pwd`/debian/`dh_listpackages` install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
# donatini scommentato
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
